Package ghidra.graph.graphs

# Class JungDirectedVisualGraph<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.graph.AbstractGraph<V,E>
edu.uci.ics.jung.graph.AbstractTypedGraph<V,E>
edu.uci.ics.jung.graph.DirectedSparseGraph<V,E>
ghidra.graph.jung.JungDirectedGraph<V,E>
ghidra.graph.graphs.JungDirectedVisualGraph<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `edu.uci.ics.jung.graph.DirectedGraph<V,E>`, `edu.uci.ics.jung.graph.Graph<V,E>`, `edu.uci.ics.jung.graph.Hypergraph<V,E>`, `GDirectedGraph<V,E>`, `GImplicitDirectedGraph<V,E>`, `VisualGraph<V,E>`, `Serializable`

Direct Known Subclasses:
  `DefaultVisualGraph`

public abstract class JungDirectedVisualGraph<V extends VisualVertex,E extends VisualEdge<V>> extends JungDirectedGraph<V,E> implements VisualGraph<V,E>
A class to combine the `JungDirectedGraph` and the `VisualGraph` interfaces

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class edu.uci.ics.jung.graph.DirectedSparseGraph

  `edges, vertices`

  ### Fields inherited from class edu.uci.ics.jung.graph.AbstractTypedGraph

  `edge_type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JungDirectedVisualGraph()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract JungDirectedVisualGraph<V,E>`
  `copy()`
  Copy this graph.

  ### Methods inherited from class ghidra.graph.jung.JungDirectedGraph

  `addEdge, containsEdge, emptyCopy, isEmpty, removeEdges, removeVertices`

  ### Methods inherited from class edu.uci.ics.jung.graph.DirectedSparseGraph

  `addEdge, addVertex, containsEdge, containsVertex, findEdge, findEdgeSet, getDest, getEdgeCount, getEdges, getEndpoints, getFactory, getIncidentEdges, getIncoming_internal, getInEdges, getNeighbors, getOutEdges, getOutgoing_internal, getPredecessors, getPreds_internal, getSource, getSuccessors, getSuccs_internal, getVertexCount, getVertices, isDest, isSource, removeEdge, removeVertex`

  ### Methods inherited from class edu.uci.ics.jung.graph.AbstractTypedGraph

  `getDefaultEdgeType, getEdgeCount, getEdges, getEdgeType, hasEqualEdgeType, validateEdgeType`

  ### Methods inherited from class edu.uci.ics.jung.graph.AbstractGraph

  `addEdge, addEdge, addEdge, addEdge, addEdge, degree, getIncidentCount, getIncidentVertices, getNeighborCount, getOpposite, getPredecessorCount, getSuccessorCount, getValidatedEndpoints, inDegree, isIncident, isNeighbor, isPredecessor, isSuccessor, outDegree, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.GDirectedGraph

  `addEdge, addVertex, containsEdge, containsEdge, containsVertex, emptyCopy, findEdge, getEdgeCount, getEdges, getIncidentEdges, getInEdges, getOutEdges, getPredecessors, getSuccessors, getVertexCount, getVertices, isEmpty, removeEdge, removeEdges, removeVertex, removeVertices`

  ### Methods inherited from interface edu.uci.ics.jung.graph.Graph

  `addEdge, addEdge, getOpposite, getPredecessorCount, getSuccessorCount, inDegree, isPredecessor, isSuccessor, outDegree`

  ### Methods inherited from interface edu.uci.ics.jung.graph.Hypergraph

  `addEdge, addEdge, degree, getDefaultEdgeType, getEdgeCount, getEdges, getEdgeType, getIncidentCount, getIncidentVertices, getNeighborCount, isIncident, isNeighbor`

  ### Methods inherited from interface ghidra.graph.VisualGraph

  `addGraphChangeListener, clearSelectedVertices, getFocusedVertex, getLayout, getSelectedVertices, removeGraphChangeListener, setSelectedVertices, setVertexFocused, vertexLocationChanged`

- ## Constructor Details

  - ### JungDirectedVisualGraph

    public JungDirectedVisualGraph()

- ## Method Details

  - ### copy

    public abstract JungDirectedVisualGraph<V,E> copy()
    Description copied from interface: `GDirectedGraph`
    Copy this graph.

    Note: the vertices and edges in the copy may be the same instances in the new graph and not themselves copies.

    Specified by:
      `copy` in interface `GDirectedGraph<V extends VisualVertex,E extends VisualEdge<V>>`
    Specified by:
      `copy` in interface `GImplicitDirectedGraph<V extends VisualVertex,E extends VisualEdge<V>>`
    Specified by:
      `copy` in interface `VisualGraph<V extends VisualVertex,E extends VisualEdge<V>>`
    Overrides:
      `copy` in class `JungDirectedGraph<V extends VisualVertex,E extends VisualEdge<V>>`
    Returns:
      the new copy